Bug 1156141 - Even distribution of vms policies not working properly with optimizer
Summary: Even distribution of vms policies not working properly with optimizer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-optimizer
Version: 3.5.0
Hardware: All
OS: All
medium
urgent
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact: Shira Maximov
URL:
Whiteboard: sla
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-10-23 16:10 UTC by Lukas Svaty
Modified: 2016-02-10 20:15 UTC (History)
4 users (show)

Fixed In Version: ovirt-optimizer-0.4-5.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:45 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34660 master MERGED Fix UUIDs for even distribution (of both vms and memory) rules Never
oVirt gerrit 35004 master MERGED Get cluster policy parameters first before falling back to policy defaults Never

Description Lukas Svaty 2014-10-23 16:10:57 UTC
Description of problem:
When choosing policy evenly_distributed or vm_evenly_distributed no other solution is proveded other than that what was set when optimizer was started.
In ui plugin this message is always shown:
"No VM starts are requested at this moment."

Version-Release number of selected component (if applicable):
100%

How reproducible:
vt7

Steps to Reproduce:
1. Set up optimizer
2. Add 3 VMs to engine (1GB, 2GB, 4GB)
3. Run them on 1st host
4. Have 2nd host runing no VMs

Actual results:
Status: VMs should be distributed among two hosts.

Expected results:
Status proposing not migrating any VM:

Additional info:
17:41:43,253 INFO  [org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase] (Thread-85) Local Search phase (1) ended: step total (48), time spent (520016), best score (0hard/0soft).
17:41:43,253 INFO  [stdout] (Thread-85) 2014-10-23 17:41:43,253 INFO  [org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase] Local Search phase (1) ended: step total (48), time spent (520016), best score (0hard/0soft).
17:42:13,630 INFO  [org.ovirt.optimizer.service.problemspace.ClusterFactChange] (Thread-85) Updating facts for cluster 00000001-0001-0001-0001-000000000024
17:42:13,631 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,630 INFO  [org.ovirt.optimizer.service.problemspace.ClusterFactChange] Updating facts for cluster 00000001-0001-0001-0001-000000000024
17:42:13,638 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] (Thread-85) New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:42:13,638 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,638 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:42:13,639 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] (Thread-85) Real-time problem fact changes done: step total (1), new initialized best score (0hard/0soft).
17:42:13,640 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,639 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] Real-time problem fact changes done: step total (1), new initialized best score (0hard/0soft).
17:42:13,646 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] (Thread-85) Solving restarted: time spent (550409), best score (0hard/0soft), random (JDK with seed 0).
17:42:13,647 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,646 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] Solving restarted: time spent (550409), best score (0hard/0soft), random (JDK with seed 0).
17:42:13,709 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] (Thread-85) New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:42:13,710 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,709 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:42:13,710 INFO  [org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhase] (Thread-85) Construction Heuristic phase (0) ended: step total (20), time spent (550473), best score (0hard/0soft).
17:42:13,711 INFO  [stdout] (Thread-85) 2014-10-23 17:42:13,710 INFO  [org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhase] Construction Heuristic phase (0) ended: step total (20), time spent (550473), best score (0hard/0soft).
17:42:43,709 INFO  [org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase] (Thread-85) Local Search phase (1) ended: step total (51), time spent (580472), best score (0hard/0soft).
17:42:43,709 INFO  [stdout] (Thread-85) 2014-10-23 17:42:43,709 INFO  [org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase] Local Search phase (1) ended: step total (51), time spent (580472), best score (0hard/0soft).
17:42:56,465 INFO  [org.ovirt.optimizer.service.OptimizerServiceBean] (oVirtOptimizerScheduler_Worker-1) Discovering clusters...
17:42:56,466 INFO  [stdout] (oVirtOptimizerScheduler_Worker-1) 2014-10-23 17:42:56,465 INFO  [org.ovirt.optimizer.service.OptimizerServiceBean] Discovering clusters...
17:42:56,467 INFO  [org.ovirt.optimizer.service.ClusterDiscovery] (oVirtOptimizerScheduler_Worker-1) Starting cluster discovery
17:42:56,467 INFO  [stdout] (oVirtOptimizerScheduler_Worker-1) 2014-10-23 17:42:56,467 INFO  [org.ovirt.optimizer.service.ClusterDiscovery] Starting cluster discovery
17:42:56,667 INFO  [org.ovirt.optimizer.service.ClusterDiscovery] (oVirtOptimizerScheduler_Worker-1) Processing clusters...
17:42:56,667 INFO  [stdout] (oVirtOptimizerScheduler_Worker-1) 2014-10-23 17:42:56,667 INFO  [org.ovirt.optimizer.service.ClusterDiscovery] Processing clusters...
17:43:14,004 INFO  [org.ovirt.optimizer.service.problemspace.ClusterFactChange] (Thread-85) Updating facts for cluster 00000001-0001-0001-0001-000000000024
17:43:14,007 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,004 INFO  [org.ovirt.optimizer.service.problemspace.ClusterFactChange] Updating facts for cluster 00000001-0001-0001-0001-000000000024
17:43:14,014 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] (Thread-85) New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:43:14,015 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,014 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:43:14,016 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] (Thread-85) Real-time problem fact changes done: step total (1), new initialized best score (0hard/0soft).
17:43:14,016 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,016 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] Real-time problem fact changes done: step total (1), new initialized best score (0hard/0soft).
17:43:14,025 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] (Thread-85) Solving restarted: time spent (610788), best score (0hard/0soft), random (JDK with seed 0).
17:43:14,026 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,025 INFO  [org.optaplanner.core.impl.solver.DefaultSolver] Solving restarted: time spent (610788), best score (0hard/0soft), random (JDK with seed 0).
17:43:14,092 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] (Thread-85) New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:43:14,093 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,092 INFO  [org.ovirt.optimizer.service.ClusterOptimizer] New solution for 00000001-0001-0001-0001-000000000024 available (score 0hard/0soft)
17:43:14,094 INFO  [org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhase] (Thread-85) Construction Heuristic phase (0) ended: step total (20), time spent (610857), best score (0hard/0soft).
17:43:14,095 INFO  [stdout] (Thread-85) 2014-10-23 17:43:14,094 INFO  [org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhase] Construction Heuristic phase (0) ended: step total (20), time spent (610857), best score (0hard/0soft).
17:43:44,094 INFO  [org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase] (Thread-85) Local Search phase (1) ended: step total (45), time spent (640857), best score (0hard/0soft).

Comment 3 Lukas Svaty 2015-01-02 12:41:21 UTC
verified in ovirt-optimizer-0.4-5.noarch.rpm

Comment 4 Eyal Edri 2015-02-17 17:10:45 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.